pcl::utils Namespace Reference

## Functions

template<typename T >
bool | equal (T val1, T val2, T eps=std::numeric_limits< T >::min())
| Check if val1 and val2 are equal to an epsilon extent. More...

## Function Documentation

## equal()

template<typename T >

bool pcl::utils::equal | ( | T | val1,
|  | T | val2,
|  | T | eps = `std::numeric_limits<T>::min ()`
| ) |  |

Check if val1 and val2 are equal to an epsilon extent.

Parameters

  [in] | val1 | first number to check
  [in] | val2 | second number to check
  [in] | eps | epsilon

Returns
  true if val1 is equal to val2, false otherwise.

Definition at line 54 of file utils.h.

Referenced by pcl::ShapeContext3DEstimation< PointInT, PointNT, PointOutT >::computePoint(), and pcl::UniqueShapeContext< PointInT, PointOutT, PointRFT >::computePointDescriptor().